import { OnInit } from '@angular/core';
import { SmzNotification } from '../../../../core/models/notifications';
import * as i0 from "@angular/core";
export declare class HephaestusNotificationsComponent implements OnInit {
    items: SmzNotification[];
    isExpanded: boolean;
    constructor();
    ngOnInit(): void;
    get themeClass(): "" | "active-menuitem";
    collapse(): void;
    toggle(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<HephaestusNotificationsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HephaestusNotificationsComponent, "[smz-ui-hephaestus-notifications]", never, { "items": { "alias": "items"; "required": false; }; }, {}, never, never, false, never>;
}
